cookie
| Rivet Tcl Commands and Variables |

## Name

cookie — get, set and delete cookies.

## Synopsis

::rivet::cookie ?set? ?`cookieName`? ?`?cookiValue?`? ?-days `expireInDays`? ?-hours `expireInHours`? ?-minutes `expireInMinutes`? ?-expires `Wdy, DD-Mon-YYYY HH:MM:SS GMT`? ?-path `uriPathCookieAppliesTo`? ?-secure `1/0`? ?-HttpOnly `1/0`?
::rivet::cookie ?get? ?`cookieName`?
::rivet::cookie ?delete? ?`cookieName`?
::rivet::cookie ?unset? ?`cookieName`?

## Description

cookie gets, sets, unsets or deletes a cookie. When you get a cookie, the command returns the value of the cookie, or an empty string if no cookie exists.

cookie delete will set the timeout value to -1 minutes - deleting the cookie in the browser.

cookie unset will remove the defined cookie in the server (perhaps preparatory to checking/resetting the cookie).

The command has a number of switches setting a cookie attributes

clock_to_rfc850_gmt |  | debug